%global debug_package %{nil}

Name: bandwhich
Version: 0.22.1
Release: 1%{?dist}
Summary: Terminal bandwidth utilization tool

License: MIT
URL: https://github.com/imsnif/bandwhich
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8}
%else
BuildRequires: cargo >= 1.70
BuildRequires: gcc
BuildRequires: rust >= 1.70
%endif
BuildRequires: pkgconfig(openssl)

%description
This is a CLI utility for displaying current network utilization by process,
connection and remote IP/hostname.


%prep
%autosetup -n %{name}-%{version} -p1
%if 0%{?el8}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif

# Set codegen-units to 1
echo -e '\n[profile.release]' >> Cargo.toml
echo 'codegen-units = 1' >> Cargo.toml


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
%if 0%{?el8}
source "$HOME/.cargo/env"
%endif
cargo install --root=%{buildroot}%{_prefix} --path=.
rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE.md
%doc README.md CONTRIBUTING.md CHANGELOG.md
%{_bindir}/%{name}


%changelog
* Sat Jan 27 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.22.1-1
- chore: Update to latest release

* Mon Oct 16 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.1-1
- chore: Update to latest release

* Tue Sep 19 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 0.21.0-1
- build(update): 0.21.0

* Thu Oct 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.20.0-1
- build(update): 0.20.0

* Tue Sep 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.19.0-1
- Update to 0.19.0

* Fri Sep 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18.1-1
- Update to 0.18.1

* Fri Sep 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.18.0-1
- Update to 0.18.0

* Wed Sep  2 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.17.0-1
- Update to 0.17.0

* Wed Jul 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.16.0-1
- Update to 0.16.0

* Sat May 23 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.15.0-1
- Update to 0.15.0

* Sun May 03 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.14.0-1
- Update to 0.14.0

* Sun Apr 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.0-1
- Update to 0.13.0

* Mon Mar 02 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.12.0-1
- Update to 0.12.0

* Sat Jan 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- Update to 0.11.0

* Sat Jan 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Wed Jan 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- Initial package
